### Method

# EDataServer SourceCredentialsProvider unregister_impl

since: 3.16

#### Declaration [src]

    void
    e_source_credentials_provider_unregister_impl (
      ESourceCredentialsProvider* provider,
      ESourceCredentialsProviderImpl* provider_impl
    )

#### Description [src]

Unregisters previously registered `provider_impl` with e_source_credentials_provider_register_impl(). Function does nothing, when the `provider_impl` is not registered.

Available since: 3.16

#### Parameters

`provider_impl`

  Type: `ESourceCredentialsProviderImpl`

  An `ESourceCredentialsProviderImpl`.

  The data is owned by the caller of the method.